com.lowagie.text.rtf.parser.destinations

## Class RtfDestinationNull

- java.lang.Object
- - com.lowagie.text.rtf.parser.destinations.RtfDestination
  - - com.lowagie.text.rtf.parser.destinations.RtfDestinationNull

    public final class RtfDestinationNull
    extends RtfDestination

`RtfDestinationNull` is for discarded entries. They go nowhere. If a control word destination is unknown or ignored, this is the destination that should be set. All methods return true indicating they were handled. This is a unique destination in that it is a singleton.

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

### Field Summary

Fields
`private static RtfDestinationNull` `instance`
`private static java.lang.Object` `lock`

### Fields inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination

`lastCtrlWord, modified, rtfParser`

### Constructor Summary

Constructors
`private` `RtfDestinationNull()` Constructs a new RtfDestinationNull.
`private` `RtfDestinationNull(RtfParser parser)` Constructs a new RtfDestinationNull.

### Method Summary

Methods
`boolean` `closeDestination()` Clean up when destination is closed.
`static RtfDestinationNull` `getInstance()` Get the singleton instance of RtfDestinationNull object.
`static java.lang.String` `getName()`
`int` `getNewTokeniserState()`
`boolean` `handleCharacter(int ch)` Handle text for this destination
`boolean` `handleCloseGroup()` Clean up when group is closed.
`boolean` `handleControlWord(RtfCtrlWordData ctrlWordData)` Handle control word for this destination
`boolean` `handleOpenGroup()` Setup when group is opened.
`boolean` `handleOpeningSubGroup()` Handle a new subgroup contained within this group
`void` `setToDefaults()` Method to set this object to the default values.

### Methods inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination

`addListener, afterCharacter, afterCtrlWord, beforeCharacter, beforeCtrlWord, isModified, onCharacter, onCloseGroup, onCtrlWord, onOpenGroup, removeListener, setParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    private static RtfDestinationNull instance

#### lock

    private static java.lang.Object lock

### Constructor Detail

#### RtfDestinationNull

    private RtfDestinationNull()

Constructs a new RtfDestinationNull. This constructor is hidden for internal use only.

#### RtfDestinationNull

    private RtfDestinationNull(RtfParser parser)

Constructs a new RtfDestinationNull. This constructor is hidden for internal use only.

Parameters:
  `parser` - Unused value

### Method Detail

#### getInstance

    public static RtfDestinationNull getInstance()

Get the singleton instance of RtfDestinationNull object.

#### handleOpeningSubGroup

    public boolean handleOpeningSubGroup()

Description copied from class: `RtfDestination`
Handle a new subgroup contained within this group

Specified by:
  `handleOpeningSubGroup` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### setToDefaults

    public void setToDefaults()

Description copied from class: `RtfDestination`
Method to set this object to the default values. Must be implemented in child class.

Specified by:
  `setToDefaults` in class `RtfDestination`

#### closeDestination

    public boolean closeDestination()

Description copied from class: `RtfDestination`
Clean up when destination is closed.

Specified by:
  `closeDestination` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleCloseGroup

    public boolean handleCloseGroup()

Description copied from class: `RtfDestination`
Clean up when group is closed.

Specified by:
  `handleCloseGroup` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleOpenGroup

    public boolean handleOpenGroup()

Description copied from class: `RtfDestination`
Setup when group is opened.

Specified by:
  `handleOpenGroup` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleCharacter

    public boolean handleCharacter(int ch)

Description copied from class: `RtfDestination`
Handle text for this destination

Specified by:
  `handleCharacter` in class `RtfDestination`
Returns:
  true if handled, false if not handled

#### handleControlWord

    public boolean handleControlWord(RtfCtrlWordData ctrlWordData)

Description copied from class: `RtfDestination`
Handle control word for this destination

Specified by:
  `handleControlWord` in class `RtfDestination`
Parameters:
  `ctrlWordData` - The control word and parameter information object
Returns:
  true if handled, false if not handled

#### getName

    public static java.lang.String getName()

#### getNewTokeniserState

    public int getNewTokeniserState()

Overrides:
  `getNewTokeniserState` in class `RtfDestination`